Knowledge Document: Unix Agent 7.6.4.1 throws libstdc++.so.6 related error with OES 2023

0 Likes

Issue

An issue exists with the current version of the Unix Agent 7.6.4.1 with OES 2023 wherein NSS audit event logs don't reach Sentinel, and the vigilentagent throws the following errors captured in /var/log/messages file:


2022-08-13T22:33:12.001236+05:30 OES2023-host sfcbd[3085]: cleaning up provider
2022-08-13T22:33:35.397557+05:30 OES2023-host sfcbd[3287]: ***** Opening /admin/Novell/Cluster/ClusterManage.cmd
2022-08-13T22:33:35.475130+05:30 OES2023-host sfcbd[3287]: ***** write - gcount = 130
2022-08-13T22:33:35.475201+05:30 OES2023-host sfcbd[3287]: ***** toWrite.length() = 130
2022-08-13T22:33:35.605835+05:30 OES2023-host sfcbd[3287]: ***** Opening /admin/Novell/Cluster/ClusterManage.cmd
2022-08-13T22:33:35.662971+05:30 OES2023-host sfcbd[3287]: ***** write - gcount = 126
2022-08-13T22:33:35.663043+05:30 OES2023-host sfcbd[3287]: ***** toWrite.length() = 126
2022-08-13T22:33:44.000824+05:30 OES2023-host sfcbd[3287]: cleaning up provider
2022-08-13T22:33:56.312619+05:30 OES2023-host ps:  NotifyNCPOnUidRequest: dlerror: /usr/netiq/cmnagent/lib/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /opt/novell/lib64/liblum2ncp.so)
2022-08-13T22:33:58.621466+05:30 OES2023-host ps: message repeated 5 times: [  NotifyNCPOnUidRequest: dlerror: /usr/netiq/cmnagent/lib/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /opt/novell/lib64/liblum2ncp.so)]

Workaround:

Run the following commands on the client server:

  1. rcnovell-vigil stop
  2. /etc/init.d/detectd stop
  3. /etc/init.d/vigilentagent stop
  4. cp /usr/lib64/libstdc++.so.6 /usr/netiq/cmnagent/lib/.
  5. rcnovell-vigil start
  6. /etc/init.d/detectd start
  7. /etc/init.d/vigilentagent start

Access article on the support portal here

Labels:

Knowledge Docs
Comment List
Related
Recommended